var got = require('got');
var oxrTransform = require("oxr-to-linear-presets");
var Decimal = require('arbitrary-precision')(require('floating-adapter'));
var anyToAny = require('linear-preset-any-to-any')(Decimal);
var convert = require('linear-converter')(Decimal).convert;

var response = await got('https://api.fixer.io/latest', { json: true });

// make sure the base is in rates too (fixed upstream as well)
response.body.rates[response.body.base] = 1;

var conversions = oxrTransform(response.body.rates, response.body.base).conversions;

+convert(anyToAny(conversions, 'AUD', 'EUR'), 1).valueOf().toFixed(2);
;
